Debian Bug report logs - #274103
xlibs: 4.3.0.dfsg.1-8 broke Meta for Emacs

version graph

Package: emacs21; Maintainer for emacs21 is (unknown);

Reported by: Roland Mas <lolando@debian.org>

Date: Wed, 29 Sep 2004 20:03:04 UTC

Severity: normal

Merged with 255286

Found in version 21.3+1-5

Fixed in version emacs21/21.3+1-8

Done: Rob Browning <rlb@defaultvalue.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#274103; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xlibs: 4.3.0.dfsg.1-8 broke Meta for Emacs
Date: Wed, 29 Sep 2004 21:50:59 +0200
Package: xlibs
Version: 4.3.0.dfsg.1-8
Severity: normal

Once upon a time, things were nice.  My Alt key produced Alt things,
my Leftwin key produced Meta things, Rightwin was Compose/Multi-key
and Menu was Menu.  So I started binding useful commands on Alt-* in
Emacs.

Then X evolved, and Alt-stuff started producing Meta-stuff.  Bummer.
Then things evolved some more, and Leftwin-stuff produced
Hyper-Super-Meta-stuff.  Bummer again, but Emacs was still usable
(even though it lacked my Alt-* shortcuts).

Then came along the dreaded 4.3.0.dfsg.1-8, last night.  Its changelog
mentioned stuff related to altwin, so I was delighted.  I promptly
upgraded, restarted X and Emacs, and was shocked to discover that it
was more broken than the day before: Alt-stuff is back to generating
Alt-stuff, which is cool since I can now goto-line and boxquote-region
and the like in one key combo, but Leftwin-stuff is still generating
the hubristic Hyper-Super-Meta-stuff combo.  So I'm left with an Emacs
without a Meta key, which means I have to use Esc+w, Esc+q, Esc+y,
etc.  I'd like it if I could go back to §1 please...

Relevant info (I hope):

Section "InputDevice"
        Identifier      "Generic Keyboard"
        Driver          "keyboard"
        Option          "CoreKeyboard"
        Option          "XkbRules"      "xfree86"
        Option          "XkbModel"      "pc105"
        Option          "XkbLayout"     "fr"
        Option          "XkbOptions"    "ctrl:nocaps,altwin:left_meta_win,compose:rwin"
EndSection

(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbModel" "pc105"
(**) XKB: model: "pc105"
(**) Option "XkbLayout" "fr"
(**) XKB: layout: "fr"
(**) Option "XkbOptions" "ctrl:nocaps,altwin:left_meta_win,compose:rwin"
(**) XKB: options: "ctrl:nocaps,altwin:left_meta_win,compose:rwin"
(==) Keyboard: CustomKeycode disabled
[...]
(II) Keyboard "Generic Keyboard" handled by legacy driver

Thanks,

Roland.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8.1
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8

Versions of packages xlibs depends on:
ii  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libx11-6                  4.3.0.dfsg.1-8 X Window System protocol client li
ii  libxext6                  4.3.0.dfsg.1-8 X Window System miscellaneous exte
ii  libxft1                   4.3.0.dfsg.1-8 FreeType-based font drawing librar
ii  libxi6                    4.3.0.dfsg.1-8 X Window System Input extension li
ii  libxmu6                   4.3.0.dfsg.1-8 X Window System miscellaneous util
ii  libxmuu1                  4.3.0.dfsg.1-8 lightweight X Window System miscel
ii  libxp6                    4.3.0.dfsg.1-8 X Window System printing extension
ii  libxpm4                   4.3.0.dfsg.1-8 X pixmap library
ii  libxrandr2                4.3.0.dfsg.1-8 X Window System Resize, Rotate and
ii  libxt6                    4.3.0.dfsg.1-8 X Toolkit Intrinsics
ii  libxtrap6                 4.3.0.dfsg.1-8 X Window System protocol-trapping 
ii  libxtst6                  4.3.0.dfsg.1-8 X Window System event recording an
ii  xlibs-data                4.3.0.dfsg.1-8 X Window System client data

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#274103; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to barbier@linuxfr.org (Denis Barbier):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 274103@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: Roland Mas <lolando@debian.org>, 274103@bugs.debian.org
Cc: control@bugs.debian.org, emacs21@packages.debian.org
Subject: Re: Bug#274103: xlibs: 4.3.0.dfsg.1-8 broke Meta for Emacs
Date: Wed, 29 Sep 2004 23:57:31 +0200
reassign 274103 emacs21
merge 255286 274103
thanks

On Wed, Sep 29, 2004 at 09:50:59PM +0200, Roland Mas wrote:
> Then came along the dreaded 4.3.0.dfsg.1-8, last night.  Its changelog
> mentioned stuff related to altwin, so I was delighted.  I promptly
> upgraded, restarted X and Emacs, and was shocked to discover that it
> was more broken than the day before: Alt-stuff is back to generating
> Alt-stuff, which is cool since I can now goto-line and boxquote-region
> and the like in one key combo, but Leftwin-stuff is still generating
> the hubristic Hyper-Super-Meta-stuff combo.  So I'm left with an Emacs
> without a Meta key, which means I have to use Esc+w, Esc+q, Esc+y,
> etc.  I'd like it if I could go back to §1 please...

Hi Roland,

there is an untested patch in #255286 (could someone test it?) to solve
this issue, I sent a message to a dedicated mailing list
  http://lists.debian.org/debian-emacsen/2004/09/msg00019.html
but it seems that your best option is to disable XKB for now.

Denis



Bug reassigned from package `xlibs' to `emacs21'. Request was from barbier@linuxfr.org (Denis Barbier) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 255286 274103. Request was from barbier@linuxfr.org (Denis Barbier) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#274103; Package emacs21. Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. Full text and rfc822 format available.

Message #19 received at 274103@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: barbier@linuxfr.org (Denis Barbier)
Cc: 274103@bugs.debian.org, emacs21@packages.debian.org
Subject: Re: Bug#274103: xlibs: 4.3.0.dfsg.1-8 broke Meta for Emacs
Date: Thu, 30 Sep 2004 13:46:53 +0200
Denis Barbier (2004-09-29 23:57:31 +0200) :

> Hi Roland,
>
> there is an untested patch in #255286 (could someone test it?) to solve
> this issue, I sent a message to a dedicated mailing list
>   http://lists.debian.org/debian-emacsen/2004/09/msg00019.html

I'll try to test that.

> but it seems that your best option is to disable XKB for now.

  Hm.  And I don't even know what XKB is...  I certainly didn't do
anything to explicitly enable it.

  Thanks for the reply,

Roland.
-- 
Roland Mas

If you spit in the air, it lands in your face.
  -- Tevye, in Fiddler on the roof



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#274103; Package emacs21. Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. Full text and rfc822 format available.

Message #24 received at 274103@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: barbier@linuxfr.org (Denis Barbier)
Cc: 274103@bugs.debian.org, control@bugs.debian.org, emacs21@packages.debian.org, Roland Mas <lolando@debian.org>
Subject: Re: Bug#274103: xlibs: 4.3.0.dfsg.1-8 broke Meta for Emacs
Date: Thu, 30 Sep 2004 21:04:23 +0200
Denis Barbier, 2004-09-29 23:57:31 +0200 :

> Hi Roland,
>
> there is an untested patch in #255286 (could someone test it?) to solve
> this issue, I sent a message to a dedicated mailing list
>   http://lists.debian.org/debian-emacsen/2004/09/msg00019.html

I have locally built and installed Emacs packages with this patch
applied, and I can confirm that I get the desired behaviour under
current X (-8): Alt is Alt, Leftwin is Meta, all is well.

  Emacs maintainer(s?): please apply before Sarge :-)

  Thanks a lot!

Roland.
-- 
Roland Mas

How does an octopus go into battle?
Fully-armed.



Information forwarded to debian-bugs-dist@lists.debian.org, Rob Browning <rlb@defaultvalue.org>:
Bug#274103; Package emacs21. Full text and rfc822 format available.

Acknowledgement sent to Jérôme Marant <jmarant@free.fr>:
Extra info received and forwarded to list. Copy sent to Rob Browning <rlb@defaultvalue.org>. Full text and rfc822 format available.

Message #29 received at 274103@bugs.debian.org (full text, mbox):

From: Jérôme Marant <jmarant@free.fr>
To: Roland Mas <lolando@debian.org>, 274103@bugs.debian.org
Cc: Denis Barbier <barbier@linuxfr.org>
Subject: Re: Bug#274103: xlibs: 4.3.0.dfsg.1-8 broke Meta for Emacs
Date: Thu, 30 Sep 2004 22:30:36 +0200
Selon Roland Mas <lolando@debian.org>:

> Denis Barbier, 2004-09-29 23:57:31 +0200 :
>
> > Hi Roland,
> >
> > there is an untested patch in #255286 (could someone test it?) to solve
> > this issue, I sent a message to a dedicated mailing list
> >   http://lists.debian.org/debian-emacsen/2004/09/msg00019.html
>
> I have locally built and installed Emacs packages with this patch
> applied, and I can confirm that I get the desired behaviour under
> current X (-8): Alt is Alt, Leftwin is Meta, all is well.
>
>   Emacs maintainer(s?): please apply before Sarge :-)

Yes, althought I'm not confortable with doing such changes without
emacs developers' consent. I'm going to talk to them.

Cheers,

--
Jérôme Marant



Tags added: pending Request was from Jerome Marant <jerome@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Jerome Marant <jerome@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Rob Browning <rlb@defaultvalue.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roland Mas <lolando@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 255286-close@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: 255286-close@bugs.debian.org
Subject: Bug#255286: fixed in emacs21 21.3+1-8
Date: Sat, 16 Oct 2004 17:02:17 -0400
Source: emacs21
Source-Version: 21.3+1-8

We believe that the bug you reported is fixed in the latest version of
emacs21, which is due to be installed in the Debian FTP archive:

emacs21-bin-common_21.3+1-8_i386.deb
  to pool/main/e/emacs21/emacs21-bin-common_21.3+1-8_i386.deb
emacs21-common_21.3+1-8_all.deb
  to pool/main/e/emacs21/emacs21-common_21.3+1-8_all.deb
emacs21-el_21.3+1-8_all.deb
  to pool/main/e/emacs21/emacs21-el_21.3+1-8_all.deb
emacs21-nox_21.3+1-8_i386.deb
  to pool/main/e/emacs21/emacs21-nox_21.3+1-8_i386.deb
emacs21_21.3+1-8.diff.gz
  to pool/main/e/emacs21/emacs21_21.3+1-8.diff.gz
emacs21_21.3+1-8.dsc
  to pool/main/e/emacs21/emacs21_21.3+1-8.dsc
emacs21_21.3+1-8_i386.deb
  to pool/main/e/emacs21/emacs21_21.3+1-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 255286@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rob Browning <rlb@defaultvalue.org> (supplier of updated emacs21 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Oct 2004 11:10:32 -0500
Source: emacs21
Binary: emacs21-el emacs21-common emacs21-nox emacs21-bin-common emacs21
Architecture: source all i386
Version: 21.3+1-8
Distribution: unstable
Urgency: medium
Maintainer: Rob Browning <rlb@defaultvalue.org>
Changed-By: Rob Browning <rlb@defaultvalue.org>
Description: 
 emacs21    - The GNU Emacs editor
 emacs21-bin-common - The GNU Emacs editor's shared, architecture dependent files
 emacs21-common - The GNU Emacs editor's shared, architecture independent infrastru
 emacs21-el - GNU Emacs LISP (.el) files
 emacs21-nox - The GNU Emacs editor (without X support)
Closes: 255286 273919 274103 274427
Changes: 
 emacs21 (21.3+1-8) unstable; urgency=medium
 .
   * Apply patch allowing Emacs to properly interpret logo keys as Meta
     rather than Meta+Super+Hyper. This problem has been showing up since
     latest XFree86 and Xorg introducted `fake keys'.
     Thanks to Denis Barbier <barbier@linufr.org>
     (closes: #255286, #274103) [Jérôme Marant]
     - debian/patches/xfree86-4.3-modifiers.dpatch: new file
     - debian/patches/00list: updated.
 .
   * Apply patch fixing long-standing memory leak in decode-coding-region
     and similar routines. Thanks to Florian Weimer <fw@deneb.enyo.de>.
     (closes: #273919) [Jérôme Marant]
     - debian/patches/coding-region-leak.dpatch: new file.
     - debian/patches/00list: updated.
 .
   * Apply patch tightening permissions of local backup copies of remote
     files. Thanks to Michael Albinus <michael.albinus@gmx.de>.
     (closes: #274427) [Jérôme Marant]
     - debian/patches/remote-files-permissions.dpatch: new file.
     - debian/patches/00list: updated.
Files: 
 c7c47b12dab122ac93bd996921214ae4 782 editors optional emacs21_21.3+1-8.dsc
 405566fdc32a9af45b0318dbb4babf12 143214 editors optional emacs21_21.3+1-8.diff.gz
 fa84307091907205ac8338cf39640113 7145756 editors optional emacs21-el_21.3+1-8_all.deb
 f2ed13ee6d8bb4a8725a5eabd40b5293 11001464 editors optional emacs21-common_21.3+1-8_all.deb
 63faa88c2518a67954f2423d81efe656 1804414 editors optional emacs21-nox_21.3+1-8_i386.deb
 ee911fdc374fb4bbae6c0a13025e8a07 1999462 editors optional emacs21_21.3+1-8_i386.deb
 b861e012a844e56f61497459835592d4 133898 editors optional emacs21-bin-common_21.3+1-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBcU83JcjTd4x+c6QRArHwAJ4/zavbeM3eKvR9V3+Pfo9tKjW1LwCg5bdO
7mm2SUnaGCVio+npMrCj4ts=
=8lK1
-----END PGP SIGNATURE-----




Message #39 received at 274103-close@bugs.debian.org (full text, mbox):

From: Rob Browning <rlb@defaultvalue.org>
To: 274103-close@bugs.debian.org
Subject: Bug#274103: fixed in emacs21 21.3+1-8
Date: Sat, 16 Oct 2004 17:02:17 -0400
Source: emacs21
Source-Version: 21.3+1-8

We believe that the bug you reported is fixed in the latest version of
emacs21, which is due to be installed in the Debian FTP archive:

emacs21-bin-common_21.3+1-8_i386.deb
  to pool/main/e/emacs21/emacs21-bin-common_21.3+1-8_i386.deb
emacs21-common_21.3+1-8_all.deb
  to pool/main/e/emacs21/emacs21-common_21.3+1-8_all.deb
emacs21-el_21.3+1-8_all.deb
  to pool/main/e/emacs21/emacs21-el_21.3+1-8_all.deb
emacs21-nox_21.3+1-8_i386.deb
  to pool/main/e/emacs21/emacs21-nox_21.3+1-8_i386.deb
emacs21_21.3+1-8.diff.gz
  to pool/main/e/emacs21/emacs21_21.3+1-8.diff.gz
emacs21_21.3+1-8.dsc
  to pool/main/e/emacs21/emacs21_21.3+1-8.dsc
emacs21_21.3+1-8_i386.deb
  to pool/main/e/emacs21/emacs21_21.3+1-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 274103@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rob Browning <rlb@defaultvalue.org> (supplier of updated emacs21 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Oct 2004 11:10:32 -0500
Source: emacs21
Binary: emacs21-el emacs21-common emacs21-nox emacs21-bin-common emacs21
Architecture: source all i386
Version: 21.3+1-8
Distribution: unstable
Urgency: medium
Maintainer: Rob Browning <rlb@defaultvalue.org>
Changed-By: Rob Browning <rlb@defaultvalue.org>
Description: 
 emacs21    - The GNU Emacs editor
 emacs21-bin-common - The GNU Emacs editor's shared, architecture dependent files
 emacs21-common - The GNU Emacs editor's shared, architecture independent infrastru
 emacs21-el - GNU Emacs LISP (.el) files
 emacs21-nox - The GNU Emacs editor (without X support)
Closes: 255286 273919 274103 274427
Changes: 
 emacs21 (21.3+1-8) unstable; urgency=medium
 .
   * Apply patch allowing Emacs to properly interpret logo keys as Meta
     rather than Meta+Super+Hyper. This problem has been showing up since
     latest XFree86 and Xorg introducted `fake keys'.
     Thanks to Denis Barbier <barbier@linufr.org>
     (closes: #255286, #274103) [Jérôme Marant]
     - debian/patches/xfree86-4.3-modifiers.dpatch: new file
     - debian/patches/00list: updated.
 .
   * Apply patch fixing long-standing memory leak in decode-coding-region
     and similar routines. Thanks to Florian Weimer <fw@deneb.enyo.de>.
     (closes: #273919) [Jérôme Marant]
     - debian/patches/coding-region-leak.dpatch: new file.
     - debian/patches/00list: updated.
 .
   * Apply patch tightening permissions of local backup copies of remote
     files. Thanks to Michael Albinus <michael.albinus@gmx.de>.
     (closes: #274427) [Jérôme Marant]
     - debian/patches/remote-files-permissions.dpatch: new file.
     - debian/patches/00list: updated.
Files: 
 c7c47b12dab122ac93bd996921214ae4 782 editors optional emacs21_21.3+1-8.dsc
 405566fdc32a9af45b0318dbb4babf12 143214 editors optional emacs21_21.3+1-8.diff.gz
 fa84307091907205ac8338cf39640113 7145756 editors optional emacs21-el_21.3+1-8_all.deb
 f2ed13ee6d8bb4a8725a5eabd40b5293 11001464 editors optional emacs21-common_21.3+1-8_all.deb
 63faa88c2518a67954f2423d81efe656 1804414 editors optional emacs21-nox_21.3+1-8_i386.deb
 ee911fdc374fb4bbae6c0a13025e8a07 1999462 editors optional emacs21_21.3+1-8_i386.deb
 b861e012a844e56f61497459835592d4 133898 editors optional emacs21-bin-common_21.3+1-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFBcU83JcjTd4x+c6QRArHwAJ4/zavbeM3eKvR9V3+Pfo9tKjW1LwCg5bdO
7mm2SUnaGCVio+npMrCj4ts=
=8lK1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:37:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.